Fedora Linux Support Community & Resources Center

Go Back   FedoraForum.org > Fedora 19/20 > Using Fedora
FedoraForum Search

Forgot Password? Join Us!

Using Fedora General support for current versions. Ask questions about Fedora and it's software that do not belong in any other forum.

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 18th November 2011, 08:42 PM
JuhaniJaakola Offline
Registered User
 
Join Date: Mar 2009
Posts: 74
linuxfedorakonqueror
Dependency problem with fltk when installing fldigi in F16

When I try to install fldigi in F16, yum gives me the following error:

Code:
Error: Package: fldigi-3.21.7-1.fc16.i686 (fedora)
           Requires: libfltk_images.so.1.1
Error: Package: fldigi-3.21.7-1.fc16.i686 (fedora)
           Requires: libfltk.so.1.1
So fldigi needs fltk 1.1 but Fedora repositories contain fltk 1.3.

What can I do?
Reply With Quote
  #2  
Old 18th November 2011, 09:02 PM
PabloTwo Online
"Registered User" T-Shirt Winner
 
Join Date: Mar 2007
Location: Seville, FL
Posts: 6,058
linuxfirefox
Re: Dependency problem with fltk when installing fldigi in F16

Yeah, that's a problem. The libfltk.so.1.x and libfltk_images.so.1.x files are provided by the fltk rpm package. However, the current F16 fltk package is a bit ahead of the current F16 fldigi rpm package.
Code:
	f16-build-1088470-165897
Provides 	
fltk = 1.3.0-1.fc16
fltk(x86-32) = 1.3.0-1.fc16
libfltk.so.1.3
libfltk_forms.so.1.3
libfltk_gl.so.1.3
libfltk_images.so.1.3
I checked on Koji, and the F15 fltk package has the .so.1.1 libs that the F16 fldigi package is looking for. Maybe you could down grade the F16 fltk package to the F15 fltk package and make it work. Maybe.
Code:
Provides 	
fltk = 1.1.10-6.fc15
fltk(x86-32) = 1.1.10-6.fc15
libfltk.so.1.1
libfltk_forms.so.1.1
libfltk_gl.so.1.1
libfltk_images.so.1.1
Reply With Quote
  #3  
Old 2nd January 2012, 04:14 AM
Chilly Willy Offline
Registered User
 
Join Date: Jul 2008
Posts: 1,258
linuxfirefox
Re: Dependency problem with fltk when installing fldigi in F16

I see this has been bug reported. When can we expect a fix?
__________________
Chilly Willy, Tux's little cousin...

By its very nature, Windows is a PANE!

Last edited by Chilly Willy; 2nd January 2012 at 04:17 AM.
Reply With Quote
  #4  
Old 3rd January 2012, 07:19 AM
JuhaniJaakola Offline
Registered User
 
Join Date: Mar 2009
Posts: 74
linuxfedorakonqueror
Re: Dependency problem with fltk when installing fldigi in F16

There seems to be progress, see:

https://bugzilla.redhat.com/show_bug.cgi?id=752908
Reply With Quote
Reply

Tags
dependency, f16, fldigi, fltk, installing, problem

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Dependency Problem with upgrading/installing subversion jimc52 Using Fedora 12 15th November 2009 04:54 PM
Ham radio FLDIGI and F8 or F9? robert-e Using Fedora 32 28th September 2008 08:44 PM
fltk and Xinerama jhhaynes Using Fedora 2 9th August 2008 12:02 AM
libpulse.so.0(PULSE_0) dependency resolution problem while installing mplayer! phyzics Installation, Upgrades and Live Media 1 3rd June 2008 08:25 PM
Installing FLTK, missing x11 libraries sharpstones Using Fedora 4 5th March 2005 05:40 AM


Current GMT-time: 21:16 (Wednesday, 30-07-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat